#include <stdio.h>
#include <stdlib.h>
#include <time.h>

int
main (int argc, char *argv[])
{
  FILE *fptr;
  int accNo = 1234;
  char names[][21] = { "Achison", "Agnew", "Barry", "Cunningham", "White" };
  float balance;
  int i;
  if ((fptr = fopen ("clients.dat", "w")) == NULL)
    {
      perror ("Error opening clients.dat");
      exit (1);
    }
  srand (time (NULL));
  for (i = 0; i < sizeof (names) / sizeof (names[0]); i++)
    {
      balance = (1000.0 * rand () / (RAND_MAX + 1.0)) - 500.0;
      /* random balance in range [-500,500[ */
      if (fprintf (fptr, "%d %s %.2f\n", accNo, names[i], balance) < 0)
	{
	  perror ("Error writing data to clients.dat");
	  exit (2);
	}
      accNo += 16;
    }
  if (fclose (fptr) != 0)
    {
      perror ("Error closing clients.dat");
      exit (3);
    }

  return 0;
}
