#include <stdio.h>
#include <stdlib.h>
#include <time.h>

#define ACCOUNTS 10000

int
main (int argc, char *argv[])
{
  FILE *fptr;
  int i;
  typedef struct
  {
    char name[21];
    float balance;
  }
  CustAccount;
  CustAccount cust;

  if ((fptr = fopen ("clients.dat", "rb")) == NULL)
    {
      perror ("Error opening clients.dat");
      exit (1);
    }

  printf ("Accounts with debit balance \n\n");
  for (i = 0; i < ACCOUNTS; i++)
      {
	if (fread (&cust, sizeof (CustAccount), 1, fptr) != 1)
	    {
	      perror ("Error reading from clients.dat");
	      exit (2);
	    }
	if ((cust.balance < 0) && (cust.name[0]))
	  printf ("%6d %30s %6.2f\n", i + 1, cust.name, cust.balance);
      }

  rewind (fptr);
  printf ("\n\nAccounts with credit balance \n\n");
  for (i = 0; i < ACCOUNTS; i++)

    {
      if (fread (&cust, sizeof (CustAccount), 1, fptr) != 1)
	  {
	    perror ("Error reading from clients.dat");
	    exit (2);
	  }
      if ((cust.balance >= 0) && (cust.name[0]))
	printf ("%6d %30s %6.2f\n", i + 1, cust.name, cust.balance);
    }

  if (fclose (fptr) != 0)
    {
      perror ("Error closing clients.dat");
      exit (3);
    }

  return 0;
}
