#include <stdio.h>

int
main (int argc, char *argv[])
{
  FILE *ifp, *ofp;
  int c;
  if (argc != 3) /*check for valid input */
    printf ("Incorrect number of parameters");
  else if ((ifp = fopen (*++argv, "r")) == NULL)
    printf ("Cannot open %s for reading \n", *argv);
  else if ((ofp = fopen (*++argv, "w")) == NULL)
    printf ("Cannot open %s for writing \n", *argv);
  else
    while ((c = fgetc (ifp)) != EOF)
      fputc (c, ofp);
  fclose (ifp);
  fclose (ofp);
  return 0;
}
