#include <stdio.h>
#include <stdlib.h>
#include <time.h>
#include <string.h>

#define ACCOUNTS 10000

int
main (int argc, char *argv[])
{
  FILE *fptr;
  typedef struct
  {
    char name[21];
    float balance;
  }
  CustAccount;
  CustAccount cust = {"",0.0};
  int accNo=1234;

  char names[][21] = { "Achison", "Agnew", "Barry", "Cunningham", "White" };
  int i;
  if ((fptr = fopen ("clients.dat", "wb")) == NULL)
    {
      perror ("Error opening clients.dat");
      exit (1);
    }

  for (i = 0; i < ACCOUNTS; i++)
    {
      if (fwrite (&cust, sizeof (CustAccount), 1, fptr) != 1)
	{
	  perror ("Error during initialization of clients.dat");
	  exit (2);
	}
    }
  srand (time (NULL));
  for (i = 0; i < sizeof (names) / sizeof (names[0]); i++)
    {
      cust.balance = (1000.0 * rand () / (RAND_MAX + 1.0)) - 500.0;
      /* random balance in range [-500,500[ */
      strcpy (cust.name, names[i]);
      if (fseek (fptr, (accNo - 1) * sizeof (CustAccount), SEEK_SET))
	{
	  perror ("Error seeking in clients.dat");
	  exit (3);
	}

      if (fwrite (&cust, sizeof (CustAccount), 1, fptr) != 1)
	{
	  perror ("Error during initialization of clients.dat");
	  exit (2);
	};

      accNo += 16;
    }
  if (fclose (fptr) != 0)
    {
      perror ("Error closing clients.dat");
      exit (3);
    }
  return 0;
}
